List listings
curl --request GET \
--url https://api.overviu.app/api/v1/listings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.overviu.app/api/v1/listings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.overviu.app/api/v1/listings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"slug": "<string>",
"kind": "<string>",
"building_id": "<string>",
"whole_building_bookable": true,
"public_title": "<string>",
"nickname": "<string>",
"status": "<string>",
"property_type": "<string>",
"max_guests": 123,
"bedrooms_count": 123,
"beds_count": 123,
"bathrooms_count": 123,
"bathrooms_half": true,
"currency": "<string>",
"timezone": "<string>",
"check_in_time": "<string>",
"check_out_time": "<string>",
"address": {
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"country": "<string>",
"latitude": "<string>",
"longitude": "<string>"
},
"headline": "<string>",
"description": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"photos": [
{
"id": "<string>",
"is_featured": true,
"sort_order": 123,
"width": 123,
"height": 123,
"thumbnail_url": "<string>",
"medium_url": "<string>",
"original_url": "<string>"
}
]
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 2,
"from": 2,
"last_page": 2,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 1,
"to": 2,
"total": 1
}
}{
"message": "<string>"
}Listings
List listings
Returns all of the team’s listings (draft, active and archived; standalone listings, buildings and unit types),
sorted by title, with their photos. Paginated with page and per_page (default 20).
GET
/
v1
/
listings
List listings
Authorizations
An API token from Settings → API tokens in Overviu, sent as Authorization: Bearer <token>.